<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('staff_achievements', function (Blueprint $table) {
            $table->id();
            $table->foreignId('staff_history_id')->constrained()->onDelete('cascade');
            $table->text('achievement_description');
            $table->date('achievement_date');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('staff_achievements');
    }
};
